Name:           bonnie++
Version:        1.03
Release:        0.fdr.2.a.2
Epoch:          0
Summary:        Bonnie++ filesystem and disk benchmark & burn-in suite

Group:          Applications/System
License:        GPL
URL:            http://www.coker.com.au/bonnie++/
Source0:        http://www.coker.com.au/bonnie++/bonnie++-1.03a.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

Patch0:         bonnie++-1.03a-mandir.patch

%description
bonnie++ filesystem and disk benchmark suite aggressively reads & writes 
in various ways on your filesystem then outputs useful benchmark performance 
data.  bonnie++ is also useful as a hardware, disk, and filesystem stability 
test, exposing some types of hardware or kernel failures that would otherwise
be difficult to detect.

Do not leave bonnie++ installed on a production system.  Use only while you 
test servers.


%prep
%setup -q -n bonnie++-1.03a
%patch -p0


%build
make %{?_smp_mflags} MORECFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc readme.html copyright.txt credits.txt debian/changelog
%{_mandir}/man1/bon_csv2html.1.gz
%{_mandir}/man1/bon_csv2txt.1.gz
%{_mandir}/man8/bonnie++.8.gz
%{_mandir}/man8/zcav.8.gz
%{_sbindir}/bonnie++
%{_sbindir}/zcav
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt


%changelog
* Sun May 18 2003 Warren Togami <warren@togami.com> - 0:1.03-0.fdr.2.a
- #267 Ville's docs, optflags and mandir patch
* Fri May 06 2003 Warren Togami <warren@togami.com> - 0:1.03-0.fdr.1.a
- Initial RPM release
